Skip to main content

Test Browser Auth

POST /v1/browser/auth/test

Test authentication with browser API

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

application/json

Resolved schema:

{
"properties": {
"api_key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Api Key"
},
"test_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Test Message",
"default": "test"
}
},
"type": "object",
"title": "BrowserAuthTestRequest",
"description": "Request schema for testing browser API authentication"
}

Field details:

FieldTypeRequiredDescriptionConstraints
api_keystring | nullNonullable
test_messagestring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"message": {
"type": "string",
"title": "Message"
},
"status": {
"type": "string",
"title": "Status"
},
"usage_info": {
"properties": {
"total_requests": {
"type": "integer",
"title": "Total Requests"
},
"remaining_quota": {
"type": "integer",
"title": "Remaining Quota"
},
"quota_limit": {
"type": "integer",
"title": "Quota Limit"
},
"current_month_usage": {
"type": "integer",
"title": "Current Month Usage"
},
"credits_consumed": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Credits Consumed"
},
"browser_credits_remaining": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Browser Credits Remaining"
}
},
"type": "object",
"required": [
"total_requests",
"remaining_quota",
"quota_limit",
"current_month_usage"
],
"title": "BrowserUsageResponse",
"description": "Response schema showing user's browser API usage"
}
},
"type": "object",
"required": [
"message",
"status",
"usage_info"
],
"title": "BrowserAuthTestResponse",
"description": "Response schema for auth test"
}

Field details:

FieldTypeRequiredDescriptionConstraints
messagestringYes
statusstringYes
usage_infoobjectYesResponse schema showing user's browser API usage
usage_info.total_requestsintegerYes
usage_info.remaining_quotaintegerYes
usage_info.quota_limitintegerYes
usage_info.current_month_usageintegerYes
usage_info.credits_consumednumber | nullNonullable
usage_info.browser_credits_remainingnumber | nullNonullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo